Class | Merb::Test::Rspec::ControllerMatchers::BeRedirect
In: | lib/merb-core/test/matchers/controller_matchers.rb
Parent: | Object

### Methods

failure_message inspect_target matches? negative_failure_message

### Public Instance methods

failure_message()

#### Returns

String: | The failure message.

inspect_target()

#### Returns

String: | The controller and action name.

matches?(target)

#### Parameters

target<Fixnum, ~status>: | Either the status code or a controller with a status code.

#### Returns

Boolean: | True if the status code is in the range 300..305 or 307.

negative_failure_message()

#### Returns

String: | The failure message to be displayed in negative matches.

[Validate]